wai-logger-0.3.1: A logging system for WAI

Safe Haskell | None

Network.Wai.Logger.Utils

Synopsis

- type NumericAddress = String
- showSockAddr :: SockAddr -> NumericAddress

# Documentation

type NumericAddress = String Source

A type for IP address in numeric string representation.

showSockAddr :: SockAddr -> NumericAddress Source

Convert `SockAddr` to `NumericAddress`. If the address is an IPv4-embedded IPv6 address, the IPv4 is extracted.